# -*- encoding: utf-8 -*-
# stub: nokogiri-diff 0.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "nokogiri-diff"
  s.version = "0.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Postmodern"]
  s.date = "2013-04-22"
  s.description = "Nokogiri::Diff adds the ability to calculate the differences (added or removed nodes) between two XML/HTML documents."
  s.email = "postmodern.mod3@gmail.com"
  s.extra_rdoc_files = ["ChangeLog.md", "LICENSE.txt", "README.md"]
  s.files = [".document", ".gemtest", ".gitignore", ".rspec", ".yardopts", "ChangeLog.md", "LICENSE.txt", "README.md", "Rakefile", "gemspec.yml", "lib/nokogiri/diff.rb", "lib/nokogiri/diff/version.rb", "lib/nokogiri/diff/xml.rb", "lib/nokogiri/diff/xml/document.rb", "lib/nokogiri/diff/xml/node.rb", "nokogiri-diff.gemspec", "spec/diff_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "https://github.com/postmodern/nokogiri-diff#readme"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7")
  s.rubygems_version = "2.4.5"
  s.summary = "Calculate the differences between two XML/HTML documents."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<tdiff>, [">= 0.3.2", "~> 0.3"])
      s.add_runtime_dependency(%q<nokogiri>, ["~> 1.5"])
      s.add_development_dependency(%q<rubygems-tasks>, ["~> 0.1"])
      s.add_development_dependency(%q<rspec>, ["~> 3.0"])
      s.add_development_dependency(%q<yard>, ["~> 0.7"])
    else
      s.add_dependency(%q<tdiff>, [">= 0.3.2", "~> 0.3"])
      s.add_dependency(%q<nokogiri>, ["~> 1.5"])
      s.add_dependency(%q<rubygems-tasks>, ["~> 0.1"])
      s.add_dependency(%q<rspec>, ["~> 3.0"])
      s.add_dependency(%q<yard>, ["~> 0.7"])
    end
  else
    s.add_dependency(%q<tdiff>, [">= 0.3.2", "~> 0.3"])
    s.add_dependency(%q<nokogiri>, ["~> 1.5"])
    s.add_dependency(%q<rubygems-tasks>, ["~> 0.1"])
    s.add_dependency(%q<rspec>, ["~> 3.0"])
    s.add_dependency(%q<yard>, ["~> 0.7"])
  end
end
